petsc-3.10.5 2019-03-28
Report Typos and Errors

# AOCreateBasic

Creates a basic application ordering using two integer arrays.

### Synopsis

    #include "petscao.h"
    PetscErrorCode  AOCreateBasic(MPI_Comm comm,PetscInt napp,const PetscInt myapp[],const PetscInt mypetsc[],AO *aoout)

Collective on MPI_Comm

### Input Parameters

| comm | - MPI communicator that is to share AO
| napp | - size of integer arrays
| myapp | - integer array that defines an ordering
| mypetsc | - integer array that defines another ordering (may be NULL to indicate the natural ordering, that is 0,1,2,3,...)

### Output Parameter

aoout -the new application ordering

### Notes

the arrays myapp and mypetsc must contain the all the integers 0 to napp-1 with no duplicates; that is there cannot be any "holes" in the indices. Use AOCreateMapping() or AOCreateMappingIS() if you wish to have "holes" in the indices.

### Keywords

AO, create

### See Also

AOCreateBasicIS(), AODestroy(), AOPetscToApplication(), AOApplicationToPetsc()

### Level

beginner

### Location

src/vec/is/ao/impls/basic/aobasic.c
Index of all AO routines
Table of Contents for all manual pages
Index of all manual pages